#include <print>

// Color-Modul importieren
import Color;

int main()
{
    // Varianten-Objekt definieren
    CConvert myColor;
    // Farbe als ulong setzen
    myColor.SetColor(0x112233UL);
    // Farbe als RGB-Werte ausgeben
    auto actRGB = myColor.GetRGB();
    std::println("Rot: {:#x}, Gruen: {:#x}, Blau: {:#x}",
                             actRGB[CConvert::ROT],actRGB[CConvert::GRUEN],
                             actRGB[CConvert::BLAU]);
    // Farbe als RGB setzen
    myColor.SetRGB(0xaa,0xbb,0xcc);
    // Farbe als ulong ausgeben
    std::println("Farbe: {:#x}",myColor.GetColor());
}
